<?php
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
$_apiConfig = $objectManager->create('Boxxai\Core\Helper\Data');
if($_apiConfig->getCampaignId()=="")
{
	return;
}
?>
<script type="text/javascript">
var BOXX_CUSTOMER_ID = "<?php echo $block->getCurrentCustomerId(); ?>";
var BOXX_TOKEN_CONSUMER_URL = "<?php echo $block->getBoxxTokenConsumerUrl();?>";

var BOXX_WIDGETS=[];
</script>
<script type="text/javascript" src="<?php echo $block->getClientJsUrl(); ?>" defer></script>
<script type="text/javascript">
	function waitTillBoxxTokenSet(){
		if (typeof pushBoxxInteractions == 'function') { 
		  pushBoxxInteractions(); 
		}
		if (typeof pushProductInteraction == 'function') { 
		  pushProductInteraction(); 
		}
		if (typeof boxxWidgetLoad == 'function') { 
		  boxxWidgetLoad(); 
		}		
	};	
	require([
	  'jquery',
	  'domReady!'
	],
		function boxxWidgetLoad($){
			$.each(BOXX_WIDGETS,function(key,widgetinst){
				$.get(widgetinst.url, function(data){
				 $(widgetinst.divid).append(data); 
				});
			});
		}
	);
</script>